Bug 244946 - Opening URL links doesn't always work, (problem with drag&drop and sometimes with double click)
Opening URL links doesn't always work, (problem with drag&drop and sometimes ...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-19 19:55 EDT by Uno Engborg
Modified: 2008-12-12 05:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-12 05:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uno Engborg 2007-06-19 19:55:36 EDT
Description of problem:
If I grab the URL input line in firefox and drags it to the desktop link
is created on the desktop that opens the URL in firefox when duble clicked.

The problem is that if you can drag the URL from firefox to the desktop,
most users would expect that you could drag the desktop link to firefox
and have the URL open, just as if it was double clicked.

Unfortunately this doesn't happen. Instead I get a dialog asking me if I want to
open it using the text editor.

Another problem is that double clicking on the URL link icon on the Desktop have
no effect unless firefox is allready up and running.


Version-Release number of selected component (if applicable):
Firefox-2.0.0.4/fc7 

How reproducible:
Always

Steps to Reproduce:
1. Drag URL from firefox to desktop
2. Drag the URL link from 1) back into the firefox browser window.

  
Actual results:
A dialog asking me to open with text editor

Expected results:
The URL opening the corresponding site in the firefox window.


Additional info:

Double clicking on the URL link on the desktop have no effect if firefox
is not allready running.
Comment 1 Matěj Cepl 2008-02-21 17:34:17 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 2 Matěj Cepl 2008-02-21 17:35:25 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 3 Uno Engborg 2008-03-21 11:34:35 EDT
Actually, firefox 3 doesn't work at all  in the current incarnation of rawhide.
But I'l let you know as soon as I can get it to start.
Comment 4 Bug Zapper 2008-05-13 23:00:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Uno Engborg 2008-05-25 09:49:54 EDT
(In reply to comment #3)
> Actually, firefox 3 doesn't work at all  in the current incarnation of rawhide.
> But I'l let you know as soon as I can get it to start.


I have now tested it in the released version of Fedora 9. It almost works.
Firefox starts, and displays the page most of the time.

However, there still seem to be som problems with cgi generated pages like this
one. E.g. if I drag this bugzilla bug page to the desktop and then use the link
to open the page, the bugid somehow gets lost.
Comment 6 Martin Stransky 2008-12-12 05:55:00 EST
URL D&D from bugzilla works for me fine in firefox 3.1 beta 2 (the current rawhide). Please reopen if you have trouble with this version...

Note You need to log in before you can comment on or make changes to this bug.